import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const HintTitle = /*@__PURE__*/ proxyCustomElement(class HintTitle extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        const block = BEM.block('hint');
        const elContent = block.element('content');
        const elTitle = elContent.element('title');
        const elHeading = elTitle.element('heading');
        return (h(Host, { key: '334f645b02c2c685b596139d58bf5ad980a48138', class: Object.assign({}, elTitle.class()) }, h("h3", { key: 'f886724a8db46d3faf6c17ada13a9712cb5b1f5b', class: Object.assign({}, elHeading.class()) }, h("span", { key: 'b6c6d4d61f8f7e0e11941e4ebc9b2004b153167d' }, h("slot", { key: 'c23c7caf0d57c3456341ca2fa5c08233baa881b1' })))));
    }
}, [260, "bal-hint-title"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-hint-title"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-hint-title":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, HintTitle);
            }
            break;
    } });
}

export { HintTitle as H, defineCustomElement as d };
